Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.infra
Interface InfrastructureFactory

All Known Implementing Classes:
  CentralisedFactory, JadeFactory, SaciFactory

    public interface InfrastructureFactory

Every infrastructure for Jason must implement this interface. The interface provides methods for JasonIDE and user's runtime classes, etc.

Method Summary
`MASLauncherInfraTier` | `createMASLauncher()` Every infrastructure factory should be able to create an instance of MASLauncherInfraTier, this instance is used to start a new MAS execution.
`RuntimeServicesInfraTier` | `createRuntimeServices()` Every infrastructure factory should be able to create an instance of RuntimeServicesInfraTier, this instance provides services for controlling the MAS, as agent creation, destruction, etc.

Method Detail

### createMASLauncher

    MASLauncherInfraTier createMASLauncher()

  Every infrastructure factory should be able to create an instance of MASLauncherInfraTier, this instance is used to start a new MAS execution. It is normally used by JasonIDE.

### createRuntimeServices

    RuntimeServicesInfraTier createRuntimeServices()

  Every infrastructure factory should be able to create an instance of RuntimeServicesInfraTier, this instance provides services for controlling the MAS, as agent creation, destruction, etc. These services are normally used by user classes as AgArch and Environments.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD